Contents

scope.gif (5667 bytes) Harmonix

Contents
  • About
    What is Harmonix and why would you use it?
  • Legal agreement
    Read this if in doubt about legal issues.
  • Contacting
    How to obtain information, suggest improvements or report bugs.
  • Installation
    How to get the damn' thing to actually work.
  • Operation
    So how do you actually use Harmonix?
  • Examples
    Some common wave forms and how to create them.

©1998-2002 Martijn W. van der Lee/VanDerLee.


About

About

What is Harmonix?
Harmonix is a plugin for PhotoShop plugin compatible graphics applications. With Harmonix you can create complex harmonic wave forms with a high level of configurability and likewise quality.
Harmonix allows you to fully configure the first ten harmonic frequencies which is more than enough for most situations.

Who could use Harmonix?
The easiest answer would be "Everybody who wants to." and to be honest that's actually the answer I'll give you :)
Harmonix was created out of a personal need to visualize harmonic wave forms for my study and personal interest in sound. So far I've used it for just that but also for graphical work and such.

So, what does it actually do?
To fully understand what Harmonix does one should have at the very least a basic understanding of the superimposing of waves and harmonic frequencies. For the uninitiated I'll explain a bit.
Superimposing is basically another way of saying "adding up" within the context of this plugin (and in fact most programs that work with wave mixing).
Harmonix frequencies are basically frequencies which are a factor higher than the "base" frequency. The base frequency could be any random frequency.
The thought behind mixing these is the fact that it is possible to generate any wave form by simply creating harmonic wave forms. Most people will have heard of saw tooth and block forms, these too are easily created by mixing harmonics.
These are of course not perfect descriptions but to go in depth into these subjects would be unnecessary to say the least. If you'd like to know more about this then there are literally hundreds of books available that go in depth on this subject.

Cool! Now how do I get started?
Just follow the instructions on installing and you'll be off in minutes :)


Legal agreement

Legal agreement

Copyright © 1998-2002 Martijn W. van der Lee/VanDerLee, All rights reserved.
All Rights Reserved.

Legal agreement
Martijn van der Lee permits you use Harmonix (Software) conditioned on your acceptance of this agreement. Use of this Software will be taken to mean acceptance of this agreement, so please read the following terms carefully before you use the Software.

1. Copyright and permission for use
Martijn van der Lee grants you as an individual the right to use the Software on only one computer at any single time. The ownership and copyright of the Program belongs to Martijn van der Lee.

2. Prohibitions and restrictions
You may not reverse-compile, disassemble, reverse-engineer, or use any other method to convert the Software into a human-readable form, nor may you allow another person to do so. The Software may not be duplicated, corrected, modified, lent, leased, sold, distributed, licensed or disposed of in any other way in part or in whole if money or other means of payment or restitution are involved. The creation of derivative works based on the content of the Software is also prohibited. Your rights regarding the Software may be transferred to a third party only if this is done for non-commercial purposes and if the Software and all associated documentation including this agreement are included, and if the third party accepts this agreement.

3. Limitations of Liability
The Software was developed at, and is copyrighted by, Martijn van der Lee. The Software is offered "AS IS" and Martijn van der Lee makes no warranty as to its use or performance.
MARTIJN VAN DER LEE AND ITS SUPPLIERS DO NOT AND CANNOT WARRANT THE PERFORMANCE OR RESULTS YOU MAY OBTAIN BY USING THE SOFTWARE OR DOCUMENTATION. MARTIJN VAN DER LEE AND ITS SUPPLIERS MAKE NO WARRANTIES, EXPRESS OR IMPLIED, AS TO NON INFRINGEMENT OF THIRD PARTY RIGHTS, MERCHANTABILITY, OR FITNESS FOR ANY PARTICULAR PURPOSE. IN NO EVENT WILL MARTIJN VAN DER LEE OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, INCIDENTAL OR SPECIAL DAMAGES, INCLUDING ANY LOST PROFITS OR LOST SAVINGS, EVEN IF MARTIJN VAN DER LEE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES, OR FOR ANY CLAIM BY ANY THIRD PARTY.


Contacting

Contacting

Visit us on the internet...
http://www.v-d-l.com

Bug reports, comments or requests? Send them to...
VanDerLee
t.a.v. Martijn W. van der Lee
Meentweg 36
1405 JB, Bussum
Netherlands

Or using E-Mail...
harmonix@v-d-l.com


Installation

Header

System requirements.
In order to use the Harmonix plugin you'll need at least the following;

  • Intel 80386 or compatible processor.
  • A program able to use PhotoShop compatible plugins.
  • Windows 95 (and higher) or Windows NT (and higher).

Supported applications.
Here's a list of the graphics applications which are known to be able to use the Harmonix plugin.

  • Adobe Illustrator 7
  • Adobe PhotoShop 4 (and higher)
  • Corel PhotoPaint 8
  • JASC Paint Shop Pro 4 (and higher, not the beta/trial releases!)
  • Macromedia FireWorks 2
  • Macromedia Freehand 8.0.x
  • Serif PhotoPlus 6 (and higher)
  • Ulead PhotoImpact 4

If your particular graphics application is not listed here, that does not mean it isn't compatible. It only means it hasn't been officially tested yet.

Installation instructions.
God knows how you could possibly be reading this help text without having already installed Harmonix but for those who do manage to read this before installing or for those who encounter problems...
The Harmonix plugin should be placed (either using the installation program or manually copying/moving the files) into the plugin directory of your graphics application. You should check the manual that came with your graphics application to find out what this directory actually is but most commonly it's a sub directory of the one you installed the graphics application in and is usually called "Plugins", "Plug-in", "Extensions" or something similar.Some programs will not be able to browse through sub directories within their plugins directory, if you have such a program you should move at the very least the "harmonix.8bf" file to the root level of the plugins sub directory.
Another thing that should be pointed out is the fact that PhotoShop can have only a limited amount of plugins installed at any one time, limited by the amount of menu entries created. If PhotoShop will not load the harmonix plugin you might want to (temporarily) remove some other plugins.


Operation

Operation

Here's what the Harmonix user interface looks like...
ui.gif (23854 bytes)
The display can be split in the preview area (left side) and the configuration area (right side).

zoom_controls.gif (223 bytes) Preview area
As you can imagine the preview area shows a preview of the final image.
You can zoom in or out of the image by using the [+] and [-] buttons respectively.

Configuration area
In itself, the configuration area can be split into multiple areas; the two top-most sliders are known as the frequency controls.
The 20 sliders in the box beneath the frequency controls are the harmonics controls.
The slider at the bottom is called the wave control and all the buttons are the system controls.

Frequency Frequency controls
The frequency controls set the base frequency on which all harmonics will be based.
The frequency is measured in the number of full waves that will fit onto one screen. With the "fine%" slider you can add in part one whole extra wave to the total amount visible.

zoom_controls.gif (223 bytes) Harmonics controls
These controls appear in pairs of two where the leftmost of each pair controls the amplitude and the right one controls the phase (= horizontal offset) of each harmonic frequency.
The leftmost pair controls the first (or base) harmonic whilst the rightmost controls the tenth harmonic.
Each offset is scaled to the width of a wave of that harmonic frequency which means that shifting two of the offsets an equal amount will not shift the frequencies in an aligned manner.

zoom_controls.gif (223 bytes) Color controls
The two controls at the bottom left of the Configuration area let you specify the color of the wave.
Click on the color box to pop-up a standard Windows dialog which allows you to select a color or click the [F] button to use the current foreground color of your graphics application.

zoom_controls.gif (223 bytes) Wave control
This control simply sets the width of the line that represents the wave. This is also the only setting that is not automatically scaled to the image dimensions thus the preview will not give an adequate representation of this effect unless the zoom mode is set to 100%.

System controls System controls
These buttons control the most basic of operations.
The [O] button allows you to open any previously saves settings.
The [S] button will allow you to save the current settings for later usage.
As to what [Exit] and [OK!] will do... well... you'll just have to find out for yourselves :)


Samples

Samples

Block wave form
sample_block.gif (41309 bytes)
Only the odd harmonics are used. Each consecutive odd harmonic has about 1/3rd the amplitude of the previous one.

Saw tooth
sample_block.gif (41309 bytes)
All consecutive harmonics are approximately 2/5th the previous amplitude.

Pulse
sample_block.gif (41309 bytes)
This would tear up your stereo set :) Every amplitude at maximum will make a pulse of maximum amplitude appear at the start and end of each wave.